RSM - Bug #79

[MOBILE] Cuti
12/03/2020 11:46 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 12/03/2020
Priority: High Due date: 12/04/2020
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Wanto,

tolong di cek dan di fixing ya untuk Mobile Cuti nya, masih belum bisa di submit

Tks

History

#1 - 12/03/2020 11:47 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 12/17/2020 12:14 PM - Saswanto Tampan
- Status changed from Assigned to QA Test
- Assignee changed from Saswanto Tampan to Anonymous

- % Done changed from 0 to 100

#3 - 12/21/2020 04:23 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Deploy

- Assignee changed from Anonymous to Saswanto Tampan

ok done, tks

#4 - 01/06/2021 10:06 AM - Saswanto Tampan
- Status changed from Deploy to Closed

#5 - 01/13/2021 01:39 PM - Anonymous

- Status changed from Closed to Revise

dear mas sas,
mohon bantuannya untuk fixing task Revise saat pengajuan Leave,
Case 1, Data Cuti yang sudah Taken(Post Data Status Finish) atau Booking (ReglD Request lain), sdate/edate tidak bisa untuk ditake,

1. Cek PHRPAO0025 untuk typ Work Schedule yang dimiliki tiap Employee pada tahun berjalan > cek PHRTMWSGEN field DayType untuk Rincian
cek lanjutan pada PHRPA0125 untuk DAYtypenya, apabila tidak ada data pada PHRPA0125 cek pada PHRTMWSCAL sesuai tipe
WOrkSchedule Type per Employee pada PHRPA0025 << ini untuk cek mana hari kerja/off

2. Cek reglID pada table PCMWFRUNMAIN Field workflowstatus 'F' > Cek PCMWFRUNBIZDATA untuk field StartDate/EndDate sesuai ReglDnya
> Cek PHRPAO0018 apabila startDate/EndDate sesuai tabel PCMWFRUNBIZDATA dgn statuflow F ada pada PCMWFRUNMAIN, maka
StartDate/EndDate tsb tidak bisa untuk ditake, jika tidak ada Startdate/endDate maka Date tsb Free to Pick << ini untuk cek Date dgn flow
Finish

3. Cek regID pada table PCMWFRUNMAIN Field workflowstatus 'U' > Cek PCMWFRUNBIZDATA untuk field StartDate/EndDate sesuai ReglDnya
> maka StartDate/EndDate tersebut tidak bisa untuk ditake. << ini untuk cek Date dgn flow unfinish(booking)

Case 2, StartDate dan Endate masih free to Pick ketika revise pada ReglD masih sama, cek PCMWFRUNBIZDATA compare Regid yang berjalan
StartDate/Endate Sequence 1 dengan Sequence terakhir ketika Data StartDate/Endate ada perubahan/edit << Kondisi sekarang Date tsb dianggap
taken dan Duration tidak terhitung.

#6 - 01/26/2021 03:13 PM - Saswanto Tampan
- Status changed from Revise to QA Test

- Assignee changed from Saswanto Tampan to Anonymous

07/02/2025 12




#7 - 04/13/2021 08:59 AM - Anonymous
- Status changed from QA Test to Closed

07/02/2025 22
